package at.jku.students.binarytree;

import at.jku.ssw.set.BinaryTreeNode;
import at.jku.ssw.set.impl.BinaryTreeSet;

public class BinaryTreeUtil {

	/**
	 * Returns an array of length {@link BinaryTreeSet#size} which contains the
	 * values of the {@code tree} according to the <em>inorder</em>-traversal of
	 * the tree.
	 * 
	 * <h3>Example</h3> Tree:
	 * 
	 * <pre>
	 *   A
	 *  / \
	 * B   C
	 * </pre>
	 * 
	 * Result:
	 * 
	 * <pre>
	 * [B, A, C]
	 * </pre>
	 */
	public static int[] inorder(BinaryTreeSet tree) {
		// TODO
		return null;
	}

	/**
	 * Returns an array of length {@link BinaryTreeSet#size} which contains the
	 * values of the {@code tree} according to the <em>preorder</em>-traversal
	 * of the tree.
	 * 
	 * <h3>Example</h3> Tree:
	 * 
	 * <pre>
	 *   A
	 *  / \
	 * B   C
	 * </pre>
	 * 
	 * Result:
	 * 
	 * <pre>
	 * [A, B, C]
	 * </pre>
	 */
	public static int[] preorder(BinaryTreeSet tree) {
		// TODO
		return null;
	}

	/**
	 * Returns an array of length {@link BinaryTreeSet#size} which contains the
	 * values of the {@code tree} according to the <em>postorder</em>-traversal
	 * of the tree.
	 * 
	 * <h3>Example</h3> Tree:
	 * 
	 * <pre>
	 *   A
	 *  / \
	 * B   C
	 * </pre>
	 * 
	 * Result:
	 * 
	 * <pre>
	 * [B, C, A]
	 * </pre>
	 */
	public static int[] postorder(BinaryTreeSet tree) {
		// TODO
		return null;
	}

}
