package at.jku.ssw.set;

/**
 * A node for storing a {@linkplain Comparable} in a binary tree.
 */
public class BinaryTreeNode {

	public int value;
	public BinaryTreeNode left, right;

	/**
	 * Creates a node for storing a {@linkplain Comparable} in a binary tree.
	 */
	public BinaryTreeNode(int value) {
		this.value = value;
	}

	@Override
	public String toString() {
		return Integer.toString(value);
	}
}
